## InfdNotePlugin

InfdNotePlugin

## Functions

InfSession * | ( *InfdNotePluginSessionNew ) ()
InfSession * | ( *InfdNotePluginSessionRead ) ()
gboolean | ( *InfdNotePluginSessionWrite ) ()

## Types and Values

struct | InfdNotePlugin

## Description

## Functions

### InfdNotePluginSessionNew ()

    InfSession *
    (*InfdNotePluginSessionNew) (InfIo *Param1,
                                 InfCommunicationManager *Param2,
                                 InfSessionStatus Param3,
                                 InfCommunicationGroup *Param4,
                                 InfXmlConnection *Param5,
                                 const char *Param6,
                                 gpointer Param7);

### InfdNotePluginSessionRead ()

    InfSession *
    (*InfdNotePluginSessionRead) (InfdStorage *Param1,
                                  InfIo *Param2,
                                  InfCommunicationManager *Param3,
                                  const gchar *Param4,
                                  gpointer Param5,
                                  GError **Param6);

### InfdNotePluginSessionWrite ()

    gboolean
    (*InfdNotePluginSessionWrite) (InfdStorage *Param1,
                                   InfSession *Param2,
                                   const gchar *Param3,
                                   gpointer Param4,
                                   GError **Param5);

## Types and Values

### struct InfdNotePlugin

    struct InfdNotePlugin {
      gpointer user_data;

      /* The typename of the storage backend this plugin can be used with, such
       * as InfdFilesystemStorage. */
      const gchar* storage_type;

      /* The note type this plugin handles, such as InfText */
      const gchar* note_type;

      InfdNotePluginSessionNew session_new;
      InfdNotePluginSessionRead session_read;
      InfdNotePluginSessionWrite session_write;
    };